### Constructor

# Gtk StringList new

#### Declaration [src]

    GtkStringList*
    gtk_string_list_new (
      const char* const* strings
    )

#### Description [src]

Creates a new `GtkStringList` with the given `strings`.

#### Parameters

`strings` | An array of `char*`
| The strings to put in the model.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkStringList`
| A new `GtkStringList`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.